# IT-Karro 2019
# Molnia

extends AnimatedSprite

var timeout_fx = 6

func _process(delta):
	timeout_fx -= delta
	if (timeout_fx < 1):
		set_opacity(timeout_fx)
	if (timeout_fx < 0):
		#set_opacity(0.1)
		timeout_fx = 6
		update()
		
func _ready():
	set_process(true)





